diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/default-traces.h ns-3.43/src/wimax/model/default-traces.h
--- ns-3.42/src/wimax/model/default-traces.h	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/default-traces.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/dl-mac-messages.cc ns-3.43/src/wimax/model/dl-mac-messages.cc
--- ns-3.42/src/wimax/model/dl-mac-messages.cc	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/dl-mac-messages.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/dl-mac-messages.h ns-3.43/src/wimax/model/dl-mac-messages.h
--- ns-3.42/src/wimax/model/dl-mac-messages.h	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/dl-mac-messages.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/ipcs-classifier.cc ns-3.43/src/wimax/model/ipcs-classifier.cc
--- ns-3.42/src/wimax/model/ipcs-classifier.cc	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/ipcs-classifier.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/ipcs-classifier.h ns-3.43/src/wimax/model/ipcs-classifier.h
--- ns-3.42/src/wimax/model/ipcs-classifier.h	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/ipcs-classifier.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/ipcs-classifier-record.cc ns-3.43/src/wimax/model/ipcs-classifier-record.cc
--- ns-3.42/src/wimax/model/ipcs-classifier-record.cc	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/ipcs-classifier-record.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/ipcs-classifier-record.h ns-3.43/src/wimax/model/ipcs-classifier-record.h
--- ns-3.42/src/wimax/model/ipcs-classifier-record.h	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/ipcs-classifier-record.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/mac-messages.cc ns-3.43/src/wimax/model/mac-messages.cc
--- ns-3.42/src/wimax/model/mac-messages.cc	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/mac-messages.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/mac-messages.h ns-3.43/src/wimax/model/mac-messages.h
--- ns-3.42/src/wimax/model/mac-messages.h	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/mac-messages.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
@@ -476,15 +465,14 @@
  * This class implements the DSA-RSP message described by "IEEE Standard for
  * Local and metropolitan area networks Part 16: Air Interface for Fixed Broadband Wireless Access
  * Systems" 6.3.2.3.11 DSA-RSP message, page 63
- *
  * \verbatim
- *   0             7             15            23
- *  +-------------+-------------+-------------+
- *  |Mngt msg type|       Transaction ID      |
- *  +-------------+-------------+-------------+
- *  | Conf Code   | Service Flow TLV          |
- *  +~~~~~~~~~~~~~+~~~~~~~~~~~~~+~~~~~~~~~~~~~+
- * \endverbatim
+   0             7             15            23
+   +-------------+-------------+-------------+
+   |Mngt msg type|       Transaction ID      |
+   +-------------+-------------+-------------+
+   | Conf Code   | Service Flow TLV          |
+   +~~~~~~~~~~~~~+~~~~~~~~~~~~~+~~~~~~~~~~~~~+
+   \endverbatim
  */
 class DsaRsp : public Header
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/ofdm-downlink-frame-prefix.cc ns-3.43/src/wimax/model/ofdm-downlink-frame-prefix.cc
--- ns-3.42/src/wimax/model/ofdm-downlink-frame-prefix.cc	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/ofdm-downlink-frame-prefix.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/ofdm-downlink-frame-prefix.h ns-3.43/src/wimax/model/ofdm-downlink-frame-prefix.h
--- ns-3.42/src/wimax/model/ofdm-downlink-frame-prefix.h	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/ofdm-downlink-frame-prefix.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/send-params.cc ns-3.43/src/wimax/model/send-params.cc
--- ns-3.42/src/wimax/model/send-params.cc	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/send-params.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/send-params.h ns-3.43/src/wimax/model/send-params.h
--- ns-3.42/src/wimax/model/send-params.h	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/send-params.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/service-flow.cc ns-3.43/src/wimax/model/service-flow.cc
--- ns-3.42/src/wimax/model/service-flow.cc	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/service-flow.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/service-flow.h ns-3.43/src/wimax/model/service-flow.h
--- ns-3.42/src/wimax/model/service-flow.h	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/service-flow.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/service-flow-manager.cc ns-3.43/src/wimax/model/service-flow-manager.cc
--- ns-3.42/src/wimax/model/service-flow-manager.cc	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/service-flow-manager.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/service-flow-manager.h ns-3.43/src/wimax/model/service-flow-manager.h
--- ns-3.42/src/wimax/model/service-flow-manager.h	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/service-flow-manager.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
@@ -111,13 +100,13 @@
     uint32_t GetNrServiceFlows() const;
 
     /**
-     *\param SrcAddress the source ip address
-     *\param DstAddress the destination ip address
-     *\param SrcPort the source port
-     *\param DstPort the destination port
-     *\param Proto the protocol
-     *\param dir the direction of the service flow
-     *\return the service flow to which this ip flow is associated
+     * \param SrcAddress the source ip address
+     * \param DstAddress the destination ip address
+     * \param SrcPort the source port
+     * \param DstPort the destination port
+     * \param Proto the protocol
+     * \param dir the direction of the service flow
+     * \return the service flow to which this ip flow is associated
      */
     ServiceFlow* DoClassify(Ipv4Address SrcAddress,
                             Ipv4Address DstAddress,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/service-flow-record.cc ns-3.43/src/wimax/model/service-flow-record.cc
--- ns-3.42/src/wimax/model/service-flow-record.cc	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/service-flow-record.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008, 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/service-flow-record.h ns-3.43/src/wimax/model/service-flow-record.h
--- ns-3.42/src/wimax/model/service-flow-record.h	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/service-flow-record.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/simple-ofdm-send-param.cc ns-3.43/src/wimax/model/simple-ofdm-send-param.cc
--- ns-3.42/src/wimax/model/simple-ofdm-send-param.cc	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/simple-ofdm-send-param.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/simple-ofdm-send-param.h ns-3.43/src/wimax/model/simple-ofdm-send-param.h
--- ns-3.42/src/wimax/model/simple-ofdm-send-param.h	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/simple-ofdm-send-param.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/simple-ofdm-wimax-channel.cc ns-3.43/src/wimax/model/simple-ofdm-wimax-channel.cc
--- ns-3.42/src/wimax/model/simple-ofdm-wimax-channel.cc	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/simple-ofdm-wimax-channel.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/simple-ofdm-wimax-channel.h ns-3.43/src/wimax/model/simple-ofdm-wimax-channel.h
--- ns-3.42/src/wimax/model/simple-ofdm-wimax-channel.h	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/simple-ofdm-wimax-channel.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/simple-ofdm-wimax-phy.cc ns-3.43/src/wimax/model/simple-ofdm-wimax-phy.cc
--- ns-3.42/src/wimax/model/simple-ofdm-wimax-phy.cc	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/simple-ofdm-wimax-phy.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
